Bug 447897 - Add units with SI prefixes to Bit Rate and Sample Rate
Summary: Add units with SI prefixes to Bit Rate and Sample Rate
Status: RESOLVED FIXED
Alias: None
Product: Elisa
Classification: Unclassified
Component: general (show other bugs)
Version: 21.12.0
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: Matthieu Gallien
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-03 20:59 UTC by Jack Hill
Modified: 2022-04-03 22:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 22.04


Attachments
Bit rate and sample rate not using SI units (5.90 KB, image/png)
2022-01-03 20:59 UTC, Jack Hill
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jack Hill 2022-01-03 20:59:42 UTC
Created attachment 145092 [details]
Bit rate and sample rate not using SI units

STEPS TO REPRODUCE
1. Click the View Details button on a song, or open the Now Playing tab whilst playing a song
2. Look at the Bit Rate and Sample rate

OBSERVED RESULT
They show as a long numbers with no units, e.g. "320000" and "44100"

EXPECTED RESULT
They should use SI units, e.g. "320 kbps" and "44.1 kHz"

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: openSUSE Tumbleweed 20220101
KDE Plasma Version: 5.23.4
KDE Frameworks Version: 5.89.0
Qt Version: 5.15.2
Comment 1 Jack Hill 2022-04-03 22:20:33 UTC
Git commit be01acf1ca870cab159d0fc6e8fa1bafcd4deb6a by Jack Hill.
Committed on 03/04/2022 at 21:11.
Pushed by ngraham into branch 'release/22.04'.

Add SI units to bit rate and sample rate

Format bit rate as "kbps" with no decimal places
Format sample rate as "kHz" with one decimal place

M  +6    -2    src/models/trackmetadatamodel.cpp

https://invent.kde.org/multimedia/elisa/commit/be01acf1ca870cab159d0fc6e8fa1bafcd4deb6a